Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class AbstractType<X>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractType<X>

All Implemented Interfaces:
  Serializable, Type<X>

Direct Known Subclasses:
  AbstractManagedType

    public abstract class AbstractType<X>

extends Object
implements Type<X>, Serializable

Defines commonality for the JPA `Type` hierarchy of interfaces.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`Type.PersistenceType`

Constructor Summary
`AbstractType(Class<X> javaType)`

Method Summary
`Class<X>` | `getJavaType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.Type
`getPersistenceType`

Constructor Detail

### AbstractType

    public AbstractType(Class<X> javaType)

Method Detail

### getJavaType

    public Class<X> getJavaType()

  Specified by:
    `getJavaType` in interface `Type<X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.